Package: org.gradle.platform.base

## [Java] Interface ToolChainRegistry<P, T>

- A Provider of ToolChains.

  Parameters:

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `T` | `getForPlatform(P targetPlatform)` Returns the best tool chain to build for the target platform.

- - ### Method Detail

    - #### public T getForPlatform(P targetPlatform)

      Returns the best tool chain to build for the target platform.